public ResultadosBusqueda_viewmodel(List <Familia> familiasEncontradas, ProcesadorDeComandosRevit procesadorDeComandosRevit, Autodesk.Revit.UI.ExternalEvent lanzarProcesadorDeComandosRevit) { this.procesadorDeComandosRevit = procesadorDeComandosRevit; procesadorDeComandosRevit.comandoAEjecutar = ProcesadorDeComandosRevit.ComandosDisponibles.noHacerNada; this.lanzarProcesadorDeComandosRevit = lanzarProcesadorDeComandosRevit; // ALBERTO. Que solo muestre las familias .rfa que tengan imagen asociada. //if (opciones == null) { opciones = Opciones.getOpcionesAlmacenadas(mostrarAvisoEnCasoDeError: false); }; //if (familiasimg == null) { familiasimg = new List<Familia>(); }; //familiasimg.Clear(); //for (int x = 0; x < familiasEncontradas.Count - 1; x++) //{ // //if (System.IO.Path.Combine(pathDeLaCarpetaPersonalDeImagenesThumbnail, _familias[x].nombreArchivo)) // if (File.Exists(System.IO.Path.Combine(opciones.pathDeLaCarpetaBaseDeArchivosDeFamilia, familiasEncontradas[x].nombreArchivo))) // { // familiasimg.Add(familiasEncontradas[x]); // } //} //familiasEncontradas.Clear(); //familiasEncontradas = familiasimg; // ************************************************************************ _familias = familiasEncontradas; NotifyPropertyChanged("familias"); opciones = Opciones.getOpcionesAlmacenadas(mostrarAvisoEnCasoDeError: false); }
public Main_viewmodel(ProcesadorDeComandosRevit procesadorDeComandosRevit, Autodesk.Revit.UI.ExternalEvent lanzarProcesadorDeComandosRevit) { this.procesadorDeComandosRevit = procesadorDeComandosRevit; procesadorDeComandosRevit.comandoAEjecutar = ProcesadorDeComandosRevit.ComandosDisponibles.noHacerNada; this.lanzarProcesadorDeComandosRevit = lanzarProcesadorDeComandosRevit; InicializarDatos(); }
public SetTagsInterface(Autodesk.Revit.UI.ExternalEvent exEvent, ExternalEventHandler handler, ModelessForms.Application thisApp) { InitializeComponent(); m_ExEvent = exEvent; m_Handler = handler; ThisApp = thisApp; pathToDataFile = ModelessForms.Properties.Settings.Default.pathToExcel; textBox2.Text = pathToDataFile; }
public SnS(Autodesk.Revit.UI.ExternalEvent exEvent, ExternalEventHandler handler, ModelessForms.Application thisApp) { InitializeComponent(); m_ExEvent = exEvent; m_Handler = handler; ThisApp = thisApp; //Initialize treeview path separator treeView1.PathSeparator = "."; //Log LogManager.Configuration = new NLog.Config.XmlLoggingConfiguration("G:\\Github\\shtirlitsDva\\MyRevitAddins\\MyRevitAddins\\SetTagsModeless\\NLog.config"); //Setup a rudimentary list with categories string[] cats = { "Pipes", "Pipe Fittings", "Pipe Accessories" }; checkedListBox2.Items.Clear(); checkedListBox2.Items.AddRange(cats); Grouping grouping = mySettings.Default.GroupingSettings; if (grouping != null) { Payload.Grouping = grouping; } //Initialize settings for categories if (mySettings.Default.SelectedCategories != null) { SelectedCategories = mySettings.Default.SelectedCategories; if (SelectedCategories.Count != 0) { foreach (string cat in SelectedCategories) { SetItemChecked(cat, checkedListBox2); } } Payload.CategoriesToSearch = SelectedCategories; //Request Revit for parameter information AsyncGatherParameterData asGPD = new AsyncGatherParameterData(Payload); ThisApp.asyncCommand = asGPD; m_ExEvent.Raise(); Payload.GetParameterDataOperationComplete += GetParameterDataOperationComplete; button2.Text = "Loading parameter data..."; } }